﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Basic
{
    //access modifier = public
    //class name = Vector 
    public class Vector
    {
        public string Name = "vector"; //field
        //property
        private double x; 
        public double X
        {
            get { return x; }
            set { x = value; }
        }
        //auto implemented property
        public double Y { get; set; }
        public double Z { get; set; }

        public Vector() //default constructor
        {
            x = 0.0;
            Y = 0.0;
            Z = 0.0;
        }

        public Vector(double x,double y, double z)
        {
            this.x = x;
            this.Y = y;
            this.Z = z;
        }

        public void Print() //method/function
        {
            Console.WriteLine($"[{x},{Y},{Z}]");
        }
    }
}
